// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符， 
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) 
// 例子： 
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18 
Date.prototype.Format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
// 代金券消费
function queryCouponList(urls, queryParams) {
    // 默认查询第一页 query查询时保存当前条件
    var TempPageNumber = 1, pageSize = 10;
    try {
        TempPageNumber = $('#datatable').datagrid('getPager').pagination("options").pageNumber;
        pageSize = $('#datatable').datagrid('getPager').pagination("options").pageSize;
    } catch (e) {

    }
    $('#datatable')
        .datagrid(
            {
                title: "信息列表",
                iconCls: 'icon-search',
                pageNumber: TempPageNumber,
                pageSize: pageSize,
                pageList: [5, 10, 15, 20, 25, 30, 35, 40, 45, 50],
                nowrap: true,
                striped: true,
                border: true,
                noheader: true,
                url: urls,
                loadMsg: '数据加载中......',
                queryParams: queryParams,
                remoteSort: false,
                fitColumns: true,
                toolbar: '#edit-tb',
                columns: [[
                    {
                        field: 'VIN_CODE',
                        title: 'VIN码',
                        sortable: 'true',
                        align: 'center',
                        width: 10,
                    },
                    {
                        field: 'ELECTRONIC_ACCOUNTS',
                        title: '电子账户',
                        sortable: 'true',
                        align: 'center',
                        width: 10
                    }, {
                        field: 'USER_PHONE',
                        title: '手机号码',
                        sortable: 'true',
                        align: 'center',
                        width: 10
                    }, {
                        field: 'LICENSE',
                        title: '车牌号',
                        sortable: 'true',
                        align: 'center',
                        width: 10
                    },{
                        field: 'SERVICE_NAME',
                        title: '服务类型',
                        sortable: 'true',
                        align: 'center',
                        width: 10
                    }, {
                        field: 'ORDER_CODE',
                        title: '案件编号',
                        sortable: 'true',
                        align: 'center',
                        width: 15
                    },
                    /*{
                        field: 'CREATE_TIME',
                        title: '案件创建时间',
                        sortable: 'true',
                        align: 'center',
                        width: 10,
                        formatter: function (value, row, index) {
                            return value ? new Date(value).Format("yyyy-MM-dd hh:mm:ss"):'--';
                        }
                    },*/{
                        field: 'RECHARGE_COUNT',
                        title: '充值金额',
                        sortable: 'true',
                        align: 'center',
                        width: 10
                    },
                     {
                        field: 'RECHARGE_TIME',
                        title: '充值时间',
                        sortable: 'true',
                        align: 'center',
                        width: 10,
                        formatter: function (value, row, index) {
                            return value ? new Date(value).Format("yyyy-MM-dd"):'--';
                        }
                    }
                    , {
                        field: 'OVERDUE_TIME',
                        title: '到期时间',
                        sortable: 'true',
                        align: 'center',
                        width: 10,
                        formatter: function (value, row, index) {
                            return value ? new Date(value).Format("yyyy-MM-dd"):'--';
                        }
                    }
                ]],
                pagination: true,
                rownumbers: false,
            });
    $('#datatable').datagrid('getPager').pagination({
        displayMsg: '当前显示从 {from} 到 {to} 共{total}条记录',
        onBeforeRefresh: function (pageNumber, pageSize) {
            $(this).pagination('loading');
            $(this).pagination('loaded');
        }
    });
}

function transState(value) {
    switch (value) {
        case '0':
            return '未结算';
        case '1':
            return '未结算';
        case '5':
            return '提交结算';
        case '10':
            return '同意付款';
        case '100':
            return '已付款';
        case '101':
            return '已撤销';
    }
}
